apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: external-dns
spec:
  chart:
    spec:
      chart: external-dns
      version: "1.7.1"
      sourceRef:
        kind: HelmRepository
        name: external-dns
  interval: 5m
  releaseName: external-dns
  targetNamespace: external-dns
  storageNamespace: default
  install:
    createNamespace: true
  valuesFrom:
    - kind: ConfigMap
      name: external-dns-base-values
    - kind: Secret
      name: external-dns-overlay-values
  dependsOn:
    - name: cloudflared
